<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ifrs-full_ProfitLossAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShorttermBorrowings" xlink:label="ifrs-full_ShorttermBorrowings" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_ShareCapitalAndSharePremium" xlink:label="rsgroupplc_ShareCapitalAndSharePremium" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_AdjustmentsForImpairmentOfIntangibleAssets" xlink:label="rsgroupplc_AdjustmentsForImpairmentOfIntangibleAssets" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_AdjustmentsForImpairmentOfRightOfUseAssets" xlink:label="rsgroupplc_AdjustmentsForImpairmentOfRightOfUseAssets" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_TotalCashImpactOnAcquisitionOfBusinesses" xlink:label="rsgroupplc_TotalCashImpactOnAcquisitionOfBusinesses" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_NetDecreaseIncreaseInRevolvingFacilityAndShortTermLoansClassifiedAsFinancingActivities" xlink:label="rsgroupplc_NetDecreaseIncreaseInRevolvingFacilityAndShortTermLoansClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_InflowFromOtherLoansDrawnDownClassifiedAsFinancingActivities" xlink:label="rsgroupplc_InflowFromOtherLoansDrawnDownClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_OutflowFromOtherLoansRepaidClassifiedAsFinancingActivities" xlink:label="rsgroupplc_OutflowFromOtherLoansRepaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_ShareCapitalAndSharePremiumMember" xlink:label="rsgroupplc_ShareCapitalAndSharePremiumMember" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_CashFlowHedgingLossesTransferredToAcquisitionPurchasePrice" xlink:label="rsgroupplc_CashFlowHedgingLossesTransferredToAcquisitionPurchasePrice" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_SettlementOfShareAwards" xlink:label="rsgroupplc_SettlementOfShareAwards" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_DisclosureOfAlternativePerformanceMeasuresAPMs" xlink:label="rsgroupplc_DisclosureOfAlternativePerformanceMeasuresAPMs" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasuresAPMs" xlink:label="rsgroupplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasuresAPMs" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_DisclosureOfNetDebt" xlink:label="rsgroupplc_DisclosureOfNetDebt" />
    <loc xlink:type="locator" xlink:href="549300KVXDURRKVW7R37-2025-03-31.xsd#rsgroupplc_DisclosureOfPriorPeriodAdjustments" xlink:label="rsgroupplc_DisclosureOfPriorPeriodAdjustments" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_rsgroupplc_ifrs-fullGrossProfit_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:to="label_rsgroupplc_ifrs-fullProfitLossAttributableToOwnersOfParent_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ShorttermBorrowings" xlink:to="label_rsgroupplc_ifrs-fullShorttermBorrowings_Verbose" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="label_rsgroupplc_ifrs-fullNetAssetsLiabilities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_ShareCapitalAndSharePremium" xlink:to="label_rsgroupplc_rsgroupplcShareCapitalAndSharePremium_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_AdjustmentsForImpairmentOfIntangibleAssets" xlink:to="label_rsgroupplc_rsgroupplcAdjustmentsForImpairmentOfIntangibleAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_AdjustmentsForImpairmentOfRightOfUseAssets" xlink:to="label_rsgroupplc_rsgroupplcAdjustmentsForImpairmentOfRightOfUseAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_TotalCashImpactOnAcquisitionOfBusinesses" xlink:to="label_rsgroupplc_rsgroupplcTotalCashImpactOnAcquisitionOfBusinesses_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_NetDecreaseIncreaseInRevolvingFacilityAndShortTermLoansClassifiedAsFinancingActivities" xlink:to="label_rsgroupplc_rsgroupplcNetDecreaseIncreaseInRevolvingFacilityAndShortTermLoansClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_rsgroupplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_InflowFromOtherLoansDrawnDownClassifiedAsFinancingActivities" xlink:to="label_rsgroupplc_rsgroupplcInflowFromOtherLoansDrawnDownClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_OutflowFromOtherLoansRepaidClassifiedAsFinancingActivities" xlink:to="label_rsgroupplc_rsgroupplcOutflowFromOtherLoansRepaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_ShareCapitalAndSharePremiumMember" xlink:to="label_rsgroupplc_ShareCapitalAndSharePremiumMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_CashFlowHedgingLossesTransferredToAcquisitionPurchasePrice" xlink:to="label_rsgroupplc_rsgroupplcCashFlowHedgingLossesTransferredToAcquisitionPurchasePrice_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_SettlementOfShareAwards" xlink:to="label_rsgroupplc_rsgroupplcSettlementOfShareAwards_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_DisclosureOfAlternativePerformanceMeasuresAPMs" xlink:to="label_rsgroupplc_rsgroupplcDisclosureOfAlternativePerformanceMeasuresAPMs_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasuresAPMs" xlink:to="label_rsgroupplc_rsgroupplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasuresAPMs_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_DisclosureOfNetDebt" xlink:to="label_rsgroupplc_rsgroupplcDisclosureOfNetDebt_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rsgroupplc_DisclosureOfPriorPeriodAdjustments" xlink:to="label_rsgroupplc_rsgroupplcDisclosureOfPriorPeriodAdjustments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_rsgroupplc_ifrs-fullGrossProfit_Total" id="rsgroupplc_ifrs-fullGrossProfit_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Gross profit</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullProfitLossAttributableToOwnersOfParent_Total" id="rsgroupplc_ifrs-fullProfitLossAttributableToOwnersOfParent_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Profit for the year</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullShorttermBorrowings_Verbose" id="rsgroupplc_ifrs-fullShorttermBorrowings_Verbose" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:type="resource" xml:lang="en">Borrowings</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullNetAssetsLiabilities_Total" id="rsgroupplc_ifrs-fullNetAssetsLiabilities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net assets</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcShareCapitalAndSharePremium_Standard" id="rsgroupplc_rsgroupplcShareCapitalAndSharePremium_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share capital and share premium</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcAdjustmentsForImpairmentOfIntangibleAssets_Standard" id="rsgroupplc_rsgroupplcAdjustmentsForImpairmentOfIntangibleAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for impairment of intangible assets</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcAdjustmentsForImpairmentOfRightOfUseAssets_Standard" id="rsgroupplc_rsgroupplcAdjustmentsForImpairmentOfRightOfUseAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for impairment of right-of-use assets</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInOperations_Total" id="rsgroupplc_ifrs-fullCashFlowsFromUsedInOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Cash generated from operations</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" id="rsgroupplc_ifrs-fullCashFlowsFromUsedInOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash from operating activities</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcTotalCashImpactOnAcquisitionOfBusinesses_Standard" id="rsgroupplc_rsgroupplcTotalCashImpactOnAcquisitionOfBusinesses_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total cash impact on acquisition of businesses</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" id="rsgroupplc_ifrs-fullCashFlowsFromUsedInInvestingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash used in investing activities</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcNetDecreaseIncreaseInRevolvingFacilityAndShortTermLoansClassifiedAsFinancingActivities_Standard" id="rsgroupplc_rsgroupplcNetDecreaseIncreaseInRevolvingFacilityAndShortTermLoansClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net (decrease)/increase in revolving facility and short-term loans classified as financing activities</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" id="rsgroupplc_ifrs-fullCashFlowsFromUsedInFinancingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net cash used in financing activities</label>
    <label xlink:label="label_rsgroupplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" id="rsgroupplc_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Net (decrease) / increase in cash and cash equivalents</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcInflowFromOtherLoansDrawnDownClassifiedAsFinancingActivities_Standard" id="rsgroupplc_rsgroupplcInflowFromOtherLoansDrawnDownClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Inflow from other loans drawn down classified as financing activities</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcOutflowFromOtherLoansRepaidClassifiedAsFinancingActivities_Standard" id="rsgroupplc_rsgroupplcOutflowFromOtherLoansRepaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Outflow from other loans repaid classified as financing activities</label>
    <label xlink:label="label_rsgroupplc_ShareCapitalAndSharePremiumMember" id="rsgroupplc_ShareCapitalAndSharePremiumMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share capital and share premium [member]</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcCashFlowHedgingLossesTransferredToAcquisitionPurchasePrice_Standard" id="rsgroupplc_rsgroupplcCashFlowHedgingLossesTransferredToAcquisitionPurchasePrice_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash flow hedging losses transferred to acquisition purchase price</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcSettlementOfShareAwards_Standard" id="rsgroupplc_rsgroupplcSettlementOfShareAwards_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Settlement of share awards</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcDisclosureOfAlternativePerformanceMeasuresAPMs_Standard" id="rsgroupplc_rsgroupplcDisclosureOfAlternativePerformanceMeasuresAPMs_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of alternative performance measures APMs</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasuresAPMs_Standard" id="rsgroupplc_rsgroupplcDescriptionOfAccountingPolicyForAlternativePerformanceMeasuresAPMs_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for alternative performance measures APMs</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcDisclosureOfNetDebt_Standard" id="rsgroupplc_rsgroupplcDisclosureOfNetDebt_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of net debt</label>
    <label xlink:label="label_rsgroupplc_rsgroupplcDisclosureOfPriorPeriodAdjustments_Standard" id="rsgroupplc_rsgroupplcDisclosureOfPriorPeriodAdjustments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of prior period adjustments</label>
  </labelLink>
</linkbase>